查询销售退货单列表
POST
/pb/mp/returns/v2/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/pb/mp/returns/v2/list | HTTPS | POST | 10 |
请求参数
offsetinteger必填lengthinteger必填time_typestringstart_timestring必填end_timestring必填platform_codearray<any>sales_typeintegerstatusarray<any>store_idarray<any>widarray<any>请求示例
{
"offset": 0,
"length": 20,
"time_type": "updateTime",
"start_time": "2023-01-01 00:00:00",
"end_time": "2024-07-29 20:50:00",
"sales_type": 1,
"status": [1,4,5],
"store_id": ["127190049090011648","127190049090011654"],
"wid": [1,578,765]
}
返回结果
Json Object
codeinteger必填messagestring必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
totalinteger必填listarray<object>必填隐藏子属性
complete_timestring必填global_order_nointeger必填gmt_createstring必填gmt_modifiedstring必填has_predictioninteger必填logistics_provider_namestring必填platformstring必填pre_arrival_timestring必填reasonstring必填remarkstring必填rma_order_nostring必填sales_typestring必填sitestring必填statusstring必填store_idinteger必填sidinteger必填store_namestring必填tracking_nostring必填uid_namestring必填sys_widinteger必填w_namestring必填relation_order_infoobject必填隐藏子属性
global_order_nointeger必填storage_in_order_nostring必填itemsarray<object>必填隐藏子属性
available_quantityinteger必填defective_quantityinteger必填destroyed_quantityinteger必填quantityinteger必填receiving_quantityinteger必填return_quantityinteger必填handler_typestring必填pic_infosarray<object>必填隐藏子属性
access_urlstring必填file_namestring必填remarkstring必填platform_order_nostring必填mskustring必填skustring必填product_namestring必填idinteger必填defective_whb_codestring必填available_whb_codestring必填返回成功示例
{
"code": 0,
"data": {
"total": "10",
"list": [
{
"reason": "产品质量问题",
"status": "已完成",
"platform": "amazon",
"site": null,
"remark": "",
"sid": "101",
"items": [
{
"sku": "mini-blue2",
"msku": "",
"quantity": 3,
"remark": "",
"stockDeductId": "0",
"platform_order_no": "1258762477858",
"product_name": "干花*2",
"return_quantity": 3,
"receiving_quantity": 3,
"handler_type": "默认不处理",
"available_quantity": 3,
"defective_quantity": null,
"destroyed_quantity": 0,
"stock_cost": null,
"pic_infos": null
}
],
"rma_order_no": "RT901406878224720384",
"sales_type": "买家退货",
"sys_wid": "1",
"w_name": "wcn测试仓库测试改名",
"delivery_w_name": null,
"delivery_w_nid": null,
"global_order_no": "103345679826100736",
"logistics_provider_name": "",
"tracking_no": "132",
"uid_name": "陈旭鹏",
"gmt_create": "2024-02-04 17:11:44",
"store_name": null,
"has_prediction": 0,
"pre_arrival_time": "1970-01-01 08:00:00",
"complete_time": "2024-02-04 17:12:19",
"gmt_modified": "2024-02-04 17:12:19",
"store_id": "127190049090011648",
"relation_order_info": {
"global_order_no": "103345679826100736",
"storage_in_order_no": "IB240204014"
}
},
{
"reason": "包裹损坏",
"status": "已完成",
"platform": "amazon",
"site": null,
"remark": "",
"sid": "101",
"items": [
{
"sku": "BAN",
"msku": "",
"quantity": 2,
"remark": "",
"stockDeductId": "0",
"platform_order_no": "test1203-110",
"product_name": "BAN",
"return_quantity": 1,
"receiving_quantity": 1,
"handler_type": "默认不处理",
"available_quantity": 0,
"defective_quantity": null,
"destroyed_quantity": 0,
"stock_cost": null,
"pic_infos": null
}
],
"rma_order_no": "RT901261790905177088",
"sales_type": "买家退货",
"sys_wid": "1",
"w_name": "wcn测试仓库测试改名",
"delivery_w_name": null,
"delivery_w_nid": null,
"global_order_no": "103255373488840704",
"logistics_provider_name": "",
"tracking_no": "",
"uid_name": "金巧玲",
"gmt_create": "2022-12-21 17:49:55",
"store_name": null,
"has_prediction": 0,
"pre_arrival_time": "1970-01-01 08:00:00",
"complete_time": "2023-11-13 15:01:23",
"gmt_modified": "2023-11-13 15:01:23",
"store_id": "127190049090011648",
"relation_order_info": {
"global_order_no": "103255373488840704",
"storage_in_order_no": "IB231113004"
}
}
]
},
"response_time": "2024-07-31 16:00:40",
"message": "操作成功",
"request_id": "aa4794a7b2c0437483966bed3e7bee75.114.17224128397332303"
}